import * as core from "@terrascript/core";

export interface DsPartitionArgs {}

export class DsPartition extends core.Data<DsPartitionArgs> {
  @core.attr(String, { computed: true })
  public dnsSuffix!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public partition!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public reverseDnsPrefix!: string | core.StringOut;

  constructor(name: string, args?: DsPartitionArgs) {
    super(name, "aws_partition", args);
  }

  public override getNamespace(): string {
    return "aws_meta_data_sources";
  }
}
